GroupTypeValue (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.appdef.shared.GroupTypeValue class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.appdef.shared
Class GroupTypeValue

    java.lang.Object
      org.hyperic.hq.appdef.shared.AppdefResourceTypeValue
          org.hyperic.hq.appdef.shared.GroupTypeValue

All Implemented Interfaces:
  java.io.Serializable

    public class GroupTypeValue

extends AppdefResourceTypeValue
implements java.io.Serializable

Value object for GroupType

See Also:
  Serialized Form

Constructor Summary
`GroupTypeValue()`
`GroupTypeValue(java.lang.String name)`

Method Summary
`int` | `getAppdefType()`
`java.lang.Long` | `getCTime()`
`java.lang.String` | `getDescription()`
`java.lang.Integer` | `getId()`
`java.lang.Long` | `getMTime()`
`java.lang.String` | `getName()`
`void` | `setCTime(java.lang.Long cTime)`
`void` | `setDescription(java.lang.String description)`
`void` | `setId(java.lang.Integer id)`
`void` | `setMTime(java.lang.Long mTime)`
`void` | `setName(java.lang.String name)`
`java.lang.String` | `toString()`

Methods inherited from class org.hyperic.hq.appdef.shared.AppdefResourceTypeValue
`getAppdefTypeKey, getCreateTime, getModifiedTime`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GroupTypeValue

    public GroupTypeValue()

### GroupTypeValue

    public GroupTypeValue(java.lang.String name)

Method Detail

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in class `AppdefResourceTypeValue`

### setName

    public void setName(java.lang.String name)

  Specified by:
    `setName` in class `AppdefResourceTypeValue`

### getDescription

    public java.lang.String getDescription()

  Specified by:
    `getDescription` in class `AppdefResourceTypeValue`

### setDescription

    public void setDescription(java.lang.String description)

  Specified by:
    `setDescription` in class `AppdefResourceTypeValue`

### getId

    public java.lang.Integer getId()

  Specified by:
    `getId` in class `AppdefResourceTypeValue`

### setId

    public void setId(java.lang.Integer id)

  Specified by:
    `setId` in class `AppdefResourceTypeValue`

### getMTime

    public java.lang.Long getMTime()

  Specified by:
    `getMTime` in class `AppdefResourceTypeValue`

### setMTime

    public void setMTime(java.lang.Long mTime)

### getCTime

    public java.lang.Long getCTime()

  Specified by:
    `getCTime` in class `AppdefResourceTypeValue`

### setCTime

    public void setCTime(java.lang.Long cTime)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getAppdefType

    public int getAppdefType()

  Specified by:
    `getAppdefType` in class `AppdefResourceTypeValue`
  Returns:
    appdef int value designator of entity type.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.